# The MEME Suite

## Motif-based sequence analysis tools

## fasta-make-index

### Usage:

`fasta-make-index <sequence file> [options]`

### Description

Make an index for a FASTA file for use by fasta-fetch.

### Input

#### <sequence file>

The name of a file of sequences in FASTA format.

### Output

Writes an index file to `<sequence file>.index`.

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-f |  | Overwrite an existing file if one exists. |
-sp |  | Make a swissprot index by stripping all but the last part of sequence names. |
-l |  | Index by sequence name and lowercased name. |
-aa |  | Include first amino acid index found in parens. |
-gc |  | genechip format: first field in pipes |
-gi |  | If the identifier starts with "gi|number" replace it with number. |